<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Banner;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;

class BannersController extends Controller
{
    //users view
    public function index(Request $request)
    {   
        
        // $search = $request->query('search');
        $banners = Banner::all();
        // $banners = Banner::when($search, function ($query) use ($search) {
        //     $query->where('name', 'like', '%' . $search . '%')
        //           ->orWhere('id', 'like', '%' . $search . '%')
        //           ->orWhere('title', 'like', '%' . $search . '%')
        //           ->orWhere('keyword', 'like', '%' . $search . '%');
        // })
        // ->orderByDesc('created_at')
        // ->paginate(2);
        return view('Admin.Banner.list', compact('banners'));
    }


  

    //add users view
    public function add()
    {
        return view('Admin.Banner.add');
    }

    //Creat Users
    public function create(Request $request)
    {
        //validation
        $request->validate([

            'title'=> ['required'],
            'short_description'=> ['required'],
            'banner'=> ['required'],
            'button_1'=>['required'],
            'button_2'=>['required'],
            'status'=> ['required'],
        ]);


              $banners = new Banner;

              $banners->title = $request->title;
              $banners->Short_description = $request->short_description;
              $banners->button_1 = $request->button_1;
              $banners->button_2 = $request->button_2;
              $banners->meta_tag = $request->meta_tag;
              $banners->meta_title = $request->meta_title;
              $banners->meta_description = $request->meta_description;
              $banners->status = $request->status;
              
             
              
              
                    if($request->hasFile('banner'))
                      {
                          $file=$request->file('banner');

                          $extension = $file->getClientOriginalExtension();
                          $filename= time().'.'.$extension;
                          $file->move('assets/img/banner',$filename);
                        
                          $banners->banner=$filename;

                      }
                      // dd($blogs); exit("test");
                      $banners->save();
                      return back()->withSuccess('Banner Created !!!!!');

                  }

                  
 //Edit users view
 public function edit($id)
{


     $banners =Banner::where('id', $id)->first();
     return view('Admin.Banner.edit', ['banners' => $banners,]);

}

//Upadte Users
public function update(Request $request, $id)
{
   //validation
   $request->validate([
            'title'=> ['required'],
            'short_description'=> ['required'],
            'button_1'=>['required'],
            'button_2'=>['required'],
            'status'=> ['required'],
            


]);

    $banners = Banner::where('id', $id)->first();
    $banners->title = $request->title;
    $banners->Short_description = $request->short_description;
    $banners->button_1 = $request->button_1;
    $banners->button_2 = $request->button_2;
    $banners->meta_tag = $request->meta_tag;
    $banners->meta_title = $request->meta_title;
    $banners->meta_description = $request->meta_description;
    $banners->status = $request->status;
    
    
    

    if($request->hasFile('banner'))
    {
        $destination = 'assets/img/banner'.$banners->banner;
        if(File::exists($destination)){
            File::delete($destination);
        }
      $file=$request->file('image');

        $extension = $file->getClientOriginalExtension();
        // dd($extension); exit("test");
        $filename= time().'.'.$extension;
        $file->move('assets/img/banner',$filename);
        $banners->banner=$filename;

    }

    $banners->save();
    return redirect('/admin/banners')->withSuccess('Banner Updated !!!!!');
}


 // Delete Users
 public function destroy($id)
 {
     $banners = Banner::where('id', $id)->first();
     $banners->delete();
     return back()->withSuccess('Banner Deleted !!!!!');

 }




}
