<?php

namespace App\Http\Controllers;
use App\Models\Blog;
use App\Models\Team;
use App\Models\Testimonial;

class HomeController extends Controller
{
    // Fetch Home Data
    public function index()
    {
        return view('Frontened.index');
    }


    public function about_us()
    {
        $testimonials = Testimonial::where('status', 1)->get();
        $teams = Team::where('status', 1)->get();

        return view('Frontened.about-us', compact('testimonials', 'teams'));
    }


    public function blogs()
    {
        $blogs = Blog::where('status', 1)->get();
        return view('Frontened.features', compact('blogs'));
    }
    public function solutions()
    {
        return view('Frontened.solutions');
    }

    public function cliente()
    {
        return view('Frontened.cliente');
    }

    public function contact_us()
    {
        return view('Frontened.contact_us');
    }
}
