<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('events', function (Blueprint $table) {
            $table->id();
            $table->string('event')->nullable();
            $table->string('title')->nullable();
            $table->string('description')->nullable();
            $table->string('start')->nullable();
            $table->string('end')->nullable();
            $table->string('venue')->nullable();
            $table->string('organizer')->nullable();
            $table->string('fee')->nullable();
            $table->string('image')->nullable();
            $table->string('meta_tag')->nullable();
            $table->string('meta_title')->nullable();
            $table->text('meta_description')->nullable();
            $table->string('Active_Dactive')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('events');
    }
};
