<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('urls', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('entity_class');
            $table->unsignedBigInteger('entity_id');
            $table->unsignedBigInteger('affiliate_id')->nullable();
            $table->string('redirect_type');
            $table->string('redirect_url');
            $table->string('relative_url')->nullable();
            $table->string('absolute_url')->nullable();
            $table->text('params')->nullable();
            $table->string('Status');
            $table->timestamps();
            
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('urls');
    }
};
