@extends('Frontened.ecops-layout.layout')

@section('ecops-content')
    <section class="pbmit-title-bar-wrapper">

        <div class="container">

            <div class="pbmit-title-bar-content">

                <div class="pbmit-title-bar-content-inner">

                    <div class="pbmit-tbar">

                        <div class="pbmit-tbar-inner container text-center">

                            <h1 class="pbmit-tbar-title">{{ $blogs->name }}</h1>

                        </div>

                    </div>

                </div>

            </div>

        </div>

    </section>
    <section class="bolg-details-section-wrap">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-10 blog-details-left-wrap">
                    <div class="blog-details-left-head">
                        <h2>{{ $blogs->title }}</h2>
                        <div class="blog-info-main">
                            <div class="blog-post-info">
                                {{-- Created at --}}
                                <span class="blog-post-time">
                                    Posted on
                                    <time datetime="{{ $blogs->created_at->toW3cString() }}">
                                        {{ $blogs->created_at->format('F d, Y') }}
                                    </time>
                                </span>

                                {{-- updated at --}}
                                <span class="blog-post-time">
                                    Updated on
                                    <time datetime="{{ $blogs->updated_at->toW3cString() }}">
                                        {{ $blogs->updated_at->format('F d, Y') }}
                                    </time>
                                </span>

                                <span class="blog-post-in float-none">
                                    by
                                    <a href="#">{{ $blogs->keyword }}</a>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="blog-details-content-main mt-3">
                        <img src="{{ asset('assets/img/blog/' . $blogs->image) }}" alt="" class="mb-3">
                        <p>{{ $blogs->short_description }}</p>

                        <div>
                            {!! $blogs->content !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection


@section('ecops-script')
@endsection
