@extends('Frontened.ecops-layout.layout')



@section('ecops-content')

    <section class="pbmit-title-bar-wrapper">

        <div class="container">

            <div class="pbmit-title-bar-content">

                <div class="pbmit-title-bar-content-inner">

                    <div class="pbmit-tbar">

                        <div class="pbmit-tbar-inner container text-center">

                            <h1 class="pbmit-tbar-title">Blog</h1>

                        </div>

                    </div>

                </div>

            </div>

        </div>

    </section>



    <section class="blog-page-section-wrap">

        <div class="container">

            <div class="row">

                @forelse ($blogs as $blog)
                    <div class="col-md-4 blog-box-main">
                        <div class="blog-box-1">
                            <a href="{{ route('posts.show', $blog->slug) }}">
                                <img src="{{ asset('assets/img/blog/' .$blog->image) }}" alt="">
                            </a>
                            <div class="blog-head-main">
                                <h2>
                                    <a href="{{ route('posts.show', $blog->slug) }}">{{ $blog->name }}</a>
                                </h2>
                                <div class="blog-info-main">
                                    <div class="blog-post-info">
                                        <span class="blog-post-time">
                                            Posted on
                                            <time datetime="">July 20, 2025</time>
                                        </span>
                                        <span class="blog-post-in">
                                            by
                                            <a href="#">{{ $blog->keyword }}</a>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @empty
                    <p>Blogs Not found</p>
                @endforelse

            </div>

        </div>

    </section>





    @section('ecops-script')
        <script>
            function toggleContent(itemNumber) {

                var text = document.getElementById("text" + itemNumber);

                var readMore = document.getElementById("readMore" + itemNumber);



                // Toggle between showing the full text and truncating it

                if (text.style.height === "auto") {

                    text.style.height = "300px"; // Set to 4 lines

                    readMore.innerHTML = "Read More";

                } else {

                    text.style.height = "auto"; // Show full content

                    readMore.innerHTML = "Read Less";

                }

            }
        </script>
    @endsection

@endsection
