@extends('Frontened.ecops-layout.layout')



@section('ecops-content')

    <section class="pbmit-title-bar-wrapper">

        <div class="container">

            <div class="pbmit-title-bar-content">

                <div class="pbmit-title-bar-content-inner">

                    <div class="pbmit-tbar">

                        <div class="pbmit-tbar-inner container text-center">

                            <h1 class="pbmit-tbar-title">Solutions</h1>

                        </div>

                    </div>

                </div>

            </div>

        </div>

    </section> 



    <section class="services-area">

        <div class="container"> 

            <div class="row justify-content-center">

                <div class="col-xl-3 col-lg-6 col-md-6 mb-30">

                    <div class="single-services text-center">

                        <div class="services-icon"><i class="fas fa-laptop-code"></i></div>

                        <div class="services-text text-less" id="text1" style="height: 150px; overflow: hidden;">

                            <h3>ESG Reporting</h3>

                            <p>

                                We centralize your ESG data management in one secure platform, making it easier to

                                collect, analyze, and report on sustainability metrics. Our solution ensures accuracy,

                                consistency, and easy access to your ESG data, enabling smarter decision-making and

                                helping you stay compliant with global regulations.

                            </p>

                        </div>

                        <div class="services-text">

                            <a href="javascript:void(0)" id="readMore1" onclick="toggleContent(1)"><span

                                    class="services-button">read more <i class="fas fa-long-arrow-alt-right"></i></span></a>

                        </div>

                    </div>

                </div>

                <div class="col-xl-3 col-lg-6 col-md-6 mb-30">

                    <div class="single-services  text-center">

                        <div class="services-icon"><i class="fas fa-laptop-code"> </i></div>

                        <div class="services-text text-less" id="text2" style="height: 150px; overflow: hidden;">

                            <h3> Carbon Accounting </h3>

                            <p>Our AI-driven carbon accounting tools help you precisely

                                calculate and track your carbon

                                footprint across Scope 1, Scope 2, and Scope 3 emissions. With advanced emission

                                calculators, we provide real-time, accurate reporting, empowering you to take actionable

                                steps toward carbon reduction and improve your overall environmental performance. </p>

                        </div>

                        <div class="services-text">

                            <a href="javascript:void(0)" id="readMore2" onclick="toggleContent(2)"><span

                                    class="services-button">read more <i class="fas fa-long-arrow-alt-right"></i></span></a>

                        </div>

                    </div>

                </div>

                <div class="col-xl-3 col-lg-6 col-md-6 mb-30">

                    <div class="single-services text-center">

                        <div class="services-icon"><i class="fas fa-laptop-code"> </i></div>

                        <div class="services-text text-less" id="text3" style="height: 150px; overflow: hidden;">

                            <h3> Strategic Development & Deployment </h3>

                            <p>we provide platform to develop and deploy data-driven

                                sustainability strategies that

                                align with both your business objectives and environmental goals. Our solutions optimize

                                operational excellence (OPEX) while ensuring that your sustainability initiatives create

                                lasting impact, meet regulatory requirements, and enhance your market position.</p>

                        </div>

                        <div class="services-text">

                            <a href="javascript:void(0)" id="readMore3" onclick="toggleContent(3)"><span

                                    class="services-button">read more <i class="fas fa-long-arrow-alt-right"></i></span></a>

                        </div>

                    </div>

                </div>

                <div class="col-xl-3 col-lg-6 col-md-6 mb-30">

                    <div class="single-services text-center">

                        <div class="services-icon"><i class="fas fa-laptop-code"> </i></div>

                        <div class="services-text text-less" id="text4" style="height: 150px; overflow: hidden;">

                            <h3> Idea Management </h3>

                            <p>Our tool helps in continuous improvement through Innovation

                                and Operational excellence,

                                while integrating idea management into your sustainability strategy. Our platform

                                empowers employees to submit, collaborate, and prioritize innovative sustainability

                                initiatives. This helps drive positive change within your organization and translates

                                creative ideas into impactful, actionable sustainability projects.</p>

                        </div>

                        <div class="services-text">

                            <a href="javascript:void(0)" id="readMore4" onclick="toggleContent(4)"><span

                                    class="services-button">read more <i class="fas fa-long-arrow-alt-right"></i></span></a>

                        </div>

                    </div>

                </div>

            </div>

        </div>

    </section>
    
    <section class="features-page-section-wrap">

<div class="container"> 

    <div class="row">
        
         <div class="col-xl-3 col-lg-4 col-md-6">

            <div class="pricing-single-box">

                <div class="pricing-head">



                    <h3 class="priching-title">ESG Reporting</h3>

                </div>

                <div class="pricing-body">

                    <ul class="pricing-list text" id="text8">

                        <li><i class="bi bi-check-circle"></i>Dual Materiality Assessment-Impact & Financial</li>

                        <li><i class="bi bi-check-circle"></i>ESG Report Disclosures</li>

                        <li><i class="bi bi-check-circle"></i> Linking Disclosures with Quantitative & Qualitative

                            Metrics</li>

                        <li><i class="bi bi-check-circle"></i> ESG Report generation in accordance to GRI, SASB, UN

                            Global Compact, UN SDG’s</li>

                        <li><i class="bi bi-check-circle"></i>ESG Goals Analytics</li>

                        <li><i class="bi bi-check-circle"></i>Task Management</li>

                        <li><i class="bi bi-check-circle"></i> Management Review Meeting</li>

                        <li><i class="bi bi-check-circle"></i>External Assurance Audit</li>

                    </ul>

                    <div class="ecops-btn">

                        <a href="javascript:void(0)" id="readMore8" onclick="toggleContent(8)">Read More



                        </a>

                    </div>

                </div>

            </div>

        </div>
        
        
        <div class="col-xl-3 col-lg-4 col-md-6">

            <div class="pricing-single-box">

                <div class="pricing-head">



                    <h3 class="priching-title">Carbon Accounting </h3>

                </div>

                <div class="pricing-body">

                    <ul class="pricing-list text" id="text7">

                        <li><i class="bi bi-check-circle"></i>Emission Calculator</li>

                        <li><i class="bi bi-check-circle"></i>Customer & Parent Company Dashboards</li>

                        <li><i class="bi bi-check-circle"></i> AI Advisor</li>

                        <li><i class="bi bi-check-circle"></i> Idea Management Linkage</li>

                        <li><i class="bi bi-check-circle"></i>Supplier Analytics</li>

                        <li><i class="bi bi-check-circle"></i>North Star Analytics</li>

                        <li><i class="bi bi-check-circle"></i>API Integration</li>

                    </ul>

                    <div class="ecops-btn">

                        <a href="javascript:void(0)" id="readMore7" onclick="toggleContent(7)">Read More



                        </a>

                    </div>

                </div>

            </div>

        </div>

       


        <div class="col-xl-3 col-lg-4 col-md-6">

            <div class="pricing-single-box">

                <div class="pricing-head">



                    <h3 class="priching-title">Strategy Management</h3>

                </div>

                <div class="pricing-body">

                    <ul class="pricing-list text" id="text5">

                        <li><i class="bi bi-check-circle"></i>Organization Set up</li>

                        <li><i class="bi bi-check-circle"></i>Company, department, Individual OGSM</li>

                        <li><i class="bi bi-check-circle"></i> Action Planning & Task Assignment</li>

                        <li><i class="bi bi-check-circle"></i> Progress tracking & Performance measurement</li>

                        <li><i class="bi bi-check-circle"></i>Reporting & Analysis</li>

                        <li><i class="bi bi-check-circle"></i>Documentation & Knowledge Management</li>

                    </ul>

                    <div class="ecops-btn text-center">

                        <a href="javascript:void(0)" id="readMore5" onclick="toggleContent(5)">Read More



                        </a>

                    </div>

                </div>

            </div>

        </div>

        <div class="col-xl-3 col-lg-4 col-md-6">

            <div class="pricing-single-box">

                <div class="pricing-head">



                    <h3 class="priching-title">Idea Management</h3>

                </div>

                <div class="pricing-body">

                    <ul class="pricing-list text" id="text6">

                        <li><i class="bi bi-check-circle"></i>Campaign/ Competition</li>

                        <li><i class="bi bi-check-circle"></i>Project Management</li>

                        <li><i class="bi bi-check-circle"></i> Idea Scoring</li>

                        <li><i class="bi bi-check-circle"></i> Leaderboard</li>

                        <li><i class="bi bi-check-circle"></i>Idea Evaluation</li>

                        <li><i class="bi bi-check-circle"></i> ROI Calculator</li>

                        <li><i class="bi bi-check-circle"></i> Carbon calculator</li>

                        <li><i class="bi bi-check-circle"></i> Task Management</li>

                        <li><i class="bi bi-check-circle"></i> Reward & Recognition</li>

                        <li><i class="bi bi-check-circle"></i> Idea Library</li>

                    </ul>

                    <div class="ecops-btn">

                        <a href="javascript:void(0)" id="readMore6" onclick="toggleContent(6)">Read More



                        </a>

                    </div>

                </div>

            </div>

        </div>

    </div>

</div>

</section>



@section('ecops-script')

    <script>

        function toggleContent(id) {

            const textElement = document.getElementById(`text${id}`);

            const readMoreLink = document.getElementById(`readMore${id}`);



            if (textElement.style.height === "150px") {

                textElement.style.height = "auto";

                textElement.style.overflow = "visible";

                readMoreLink.innerHTML =

                    '<span class="services-button">Read Less <i class="fas fa-long-arrow-alt-left"></i></span>';

            } else {

                textElement.style.height = "150px";

                textElement.style.overflow = "hidden";

                readMoreLink.innerHTML =

                    '<span class="services-button">Read More <i class="fas fa-long-arrow-alt-right"></i></span>';

            }

        }

    </script>
    <script>

        function toggleContent(itemNumber) {

            var text = document.getElementById("text" + itemNumber);

            var readMore = document.getElementById("readMore" + itemNumber);



            // Toggle between showing the full text and truncating it

            if (text.style.height === "auto") {

                text.style.height = "300px"; // Set to 4 lines

                readMore.innerHTML = "Read More";

            } else {

                text.style.height = "auto"; // Show full content

                readMore.innerHTML = "Read Less";

            }

        }

    </script>

@endsection

@endsection

