<div class="tab-pane" id="tab-5">
    <div class="card shadow">
        <!-- Card header -->
        <div class="card-header border-bottom d-sm-flex justify-content-between align-items-center">
            <h5 class="card-header-title mb-0">Social Media Settings</h5>

        </div>
        <!-- Card body START -->
        <div class="card-body">
            <form class="row g-4" action="<?php echo e(route('admin.setting.update')); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>

                <input type="hidden" name="tab_name" value="social">
                <!-- Input item -->
                <div class="col-sm-6">
                    <label class="form-label"><i class="fab fa-facebook text-facebook me-2"></i>Enter
                        facebook Url</label>
                    <input class="form-control" type="text" value="<?php echo e($setting->facebook); ?>" name="facebook">
                </div>

                <!-- Input item -->
                <div class="col-sm-6">
                    <label class="form-label"><i class="fab fa-instagram text-instagram me-2"></i>Enter
                        instagram Url</label>
                    <input class="form-control" type="text" value="<?php echo e($setting->instagram); ?>" name="instagram">
                </div>

                <!-- Input item -->
                <div class="col-sm-6">
                    <label class="form-label"><i class="fab fa-pinterest text-pinterest me-2"></i>Enter
                        pinterest Url</label>
                    <input class="form-control" type="text" value="<?php echo e($setting->pinterest); ?>" name="pinterest">
                </div>

                <!-- Input item -->
                <div class="col-sm-6">
                    <label class="form-label"><i class="fab fa-linkedin text-linkedin me-2"></i>Enter
                        linkedin Url</label>
                    <input class="form-control" type="text" value="<?php echo e($setting->linkedIn); ?>" name="linkedIn">
                </div>

                <!-- Input item -->
                <div class="col-sm-6">
                    <label class="form-label"><i class="fab fa-twitter text-twitter me-2"></i>Enter
                        twitter Url</label>
                    <input class="form-control" type="text" value="<?php echo e($setting->twitter); ?>" name="twitter">
                </div>

                <!-- Input item -->
                <div class="col-sm-6">
                    <label class="form-label"><i class="fab fa-youtube text-youtube me-2"></i>Enter
                        youtube Url</label>
                    <input class="form-control" type="text" value="<?php echo e($setting->youtube); ?>" name="youtube">
                </div>

                <!-- Button -->
                <div class="d-flex justify-content-end">
                    <button type="submit" class="btn btn-primary mb-0">Update</button>
                </div>
            </form>
        </div>
        <!-- Card body END -->
    </div>
</div>
<?php /**PATH /var/www/ecopshub.com/html/resources/views/Admin/Setting/partials/Social-Media-Settings.blade.php ENDPATH**/ ?>