

<?php $__env->startSection('admin_content'); ?>
    <?php if(Session::has('success')): ?>
        <div class="alert alert-success alert-block">
            <strong><?php echo e(Session::get('success')); ?></strong>
        </div>
    <?php endif; ?>

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Edit Testimonial</h1>
                <a href="<?php echo e(route('admin.testimonials')); ?>" class="btn btn-sm btn-primary mb-0">Back</a>
            </div>
        </div>


        <!-- Card START -->
        <div class="card bg-transparent border">

            <form action="<?php echo e(route('admin.testimonial.update', $testimonials->id)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <section class="content">
                    <!-- Default box -->
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">


                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="name">Name</label>
                                                    <input type="text" name="name" id="name"class="form-control"
                                                        placeholder="name" value="<?php echo e(old('name', $testimonials->name)); ?>">
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="title">Title</label>
                                                    <input type="text" name="title" id="title"class="form-control"
                                                        placeholder="title" value="<?php echo e(old('title',$testimonials->title )); ?>">
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="url">URL</label>
                                                    <input type="text" name="url" id="url"class="form-control"
                                                        placeholder="url" value="<?php echo e(old('url', $testimonials->url)); ?>">
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['url'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="role">Role</label>
                                                    <input type="text" name="role"
                                                        id="role"class="form-control" placeholder="role"
                                                        value="<?php echo e(old('role',$testimonials->role)); ?>">
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['role'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <label for="t_content">Content</label>
                                                    <textarea name="t_content" id="t_content" class="form-control tinymce-editor"><?php echo e(old('t_content', $testimonials->t_content)); ?></textarea>
                                                    <?php $__errorArgs = ['t_content'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                        <span class="text-danger"><?php echo e($message); ?></span>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                           
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="rating">Rating</label>
                                                    <select class="form-select" name="rating" id="rating"
                                                        aria-label="Default select example">
                                                        <option value="">Select Rating</option>
                                                        <option value="1"<?php echo e($testimonials->rating == 1 ? 'selected' : ''); ?>>1 Star</option>
                                                        <option value="2"<?php echo e($testimonials->rating == 2 ? 'selected' : ''); ?>>2 Star</option>
                                                        <option value="3"<?php echo e($testimonials->rating == 3 ? 'selected' : ''); ?>>3 Star</option>
                                                        <option value="4"<?php echo e($testimonials->rating == 4 ? 'selected' : ''); ?>>4 Star</option>
                                                        <option value="5"<?php echo e($testimonials->rating == 5 ? 'selected' : ''); ?>>5 Star</option>
                                                    </select> 
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['rating'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>


                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="type">Type</label>
                                                    <select class="form-select" name="type" id="type"
                                                        aria-label="Default select example">
                                                        <option value="">Select Type</option>
                                                        <option
                                                        value="1"<?php echo e($testimonials->type == 1 ? 'selected' : ''); ?>>
                                                        Text</option>
                                                    <option
                                                        value="2"<?php echo e($testimonials->type == 2 ? 'selected' : ''); ?>>
                                                        Video</option>
                                                    </select>
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="video">Video</label>
                                                    <input type="text" name="video"
                                                        id="video"class="form-control" placeholder="video"
                                                        value="<?php echo e(old('video',$testimonials->video)); ?>" disabled>
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['video'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>



                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label class="form-label" for="customFile">Image</label>
                                                    <input type="file" name="image" class="form-control" id="image" />
                                                    <?php if($testimonials->image): ?>
                                                        <p>Current Image: <?php echo e($testimonials->image); ?></p>
                                                        <img src="assets/img/testimonial/<?php echo e($testimonials->image); ?>" width="100px" alt="">
                                                        <input type="hidden" name="old_image" value="<?php echo e($testimonials->image); ?>">
                                                    <?php else: ?>
                                                        <p>No current image</p>
                                                    <?php endif; ?>
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>


                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="meta_tag">Meta Tag</label>
                                                    <input type="text" name="meta_tag" id="meta_tag"class="form-control"
                                                        placeholder="meta tag" value="<?php echo e(old('meta_tag', $testimonials->meta_tag)); ?>">
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['meta_tag'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="meta_title">Meta Title </label>
                                                    <input type="text" name="meta_title"
                                                        id="meta_title"class="form-control" placeholder="meta title"
                                                        value="<?php echo e(old('meta_title', $testimonials->meta_title)); ?>">
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['meta_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <label for="meta_description">Meta Description</label>
                                                    <textarea name="meta_description"
                                                        id="meta_description"class="form-control"
                                                        placeholder="meta description"><?php echo e(old('meta_description', $testimonials->meta_description)); ?></textarea>
                                                        <span class="text-danger">
                                                            <?php $__errorArgs = ['meta_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                <?php echo e($message); ?>

                                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                        </span>
                                                    </div>
                                                </div>
                                                       
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="status">Status</label>
                                                    <select class="form-select" name="status" id="status"
                                                        aria-label="Default select example">
                                                        
                                                        <option
                                                            value="1"<?php echo e($testimonials->status == 1 ? 'selected' : ''); ?>>
                                                            Active</option>
                                                        <option
                                                            value="0"<?php echo e($testimonials->status == 0 ? 'selected' : ''); ?>>
                                                            Dactive</option>
                                                    </select>
                                                    <span class="text-danger">
                                                        <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <?php echo e($message); ?>

                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="pb-5 pt-3 text-center">
                        &nbsp;&nbsp;&nbsp;
                        <button class="btn btn-primary" type="submit">Update</button>
                        <a href="<?php echo e(route('admin.testimonials')); ?>" class="btn btn-outline-dark ml-3">Cancel</a>
                    </div>
        </div>
        <!-- /.card -->
        </section>
        </form>
    </div>
    <!-- Card END -->
    </div>
    <script src="assets/js/jquery.min.js"></script>
    <script>
        $(document).ready(function() {
            // Initial check on page load
            if ($('#type').val() == '2') {
                $('#video').prop('disabled', false);
            } else {
                $('#video').prop('disabled', true);
            }

            // Change event listener for type dropdown
            $('#type').change(function() {
                if ($(this).val() == '2') {
                    $('#video').prop('disabled', false);
                } else {
                    $('#video').prop('disabled', true);
                }
            });
        });
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('titel'); ?>
   Testimonial/Edit
<?php $__env->stopSection(); ?>







                        






<?php echo $__env->make('Admin.layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/ecopshub.com/html/resources/views/Admin/Testimonial/edit_testimonial.blade.php ENDPATH**/ ?>