<div class="tab-pane show active" id="tab-1">
    <div class="card shadow">

        <!-- Card header -->
        <div class="card-header border-bottom">
            <h5 class="card-header-title">General Settings</h5>
        </div>

        <!-- Card body START -->
        <div class="card-body">
            <form  action="<?php echo e(route('admin.setting.update')); ?>" class="row g-4 align-items-center" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
            <input type="hidden" name="tab_name" value="genral">
                <!-- Input item -->
                <div class="col-lg-4">
                    <label class="form-label">Site Name</label>
                    <input type="text" class="form-control" value="<?php echo e($setting->web_name); ?>" name="web_name" placeholder="Site Name">
                    <div class="form-text">Enter Website Name.</div>

                </div>

                <!-- Input item -->
                <div class="col-lg-4">
                    <label class="form-label">Site Copyrights</label>
                    <input type="text" class="form-control" value="<?php echo e($setting->copyright); ?>" name="copyright"placeholder="Site Copyrights">
                    <div class="form-text">Using for Contact and Send Email</div>
                </div>

                <!-- Input item -->
                <div class="col-lg-4">
                    <label class="form-label">Site Email</label>
                    <input type="email" class="form-control" value="<?php echo e($setting->email); ?>" name="email" placeholder="Site Email">
                    <div class="form-text">For Copyrights Text</div>
                </div>

                <hr>

                <!-- Input item -->
                <div class="col-lg-4">
                    <label class="form-label">Phone Number</label>
                    <input type="text" class="form-control" value="<?php echo e($setting->phone); ?>" name="phone" placeholder="Phone Number">
                    <div class="form-text">Enter Phone Number.</div>
                </div>

                <!-- Input item -->
                <div class="col-lg-4">
                    <label class="form-label">About Site</label>
                    <input type="text" class="form-control" value="<?php echo e($setting->about); ?>" name="about" placeholder="About Site">
                    <div class="form-text">Write brief for About the Website </div>
                </div>

                <!-- Input item -->
                <div class="col-lg-4">
                    <label class="form-label">Your Address</label>
                    <input type="text" class="form-control" value="<?php echo e($setting->address); ?>" name="address" placeholder="Your Address">
                    <div class="form-text">Enter Your Address Here. It Display in Website</div>
                </div>

                <hr>

                <!-- Input item -->
                <div class="col-lg-12">
                    <label class="form-label">Your Website Url</label>
                    <input type="text" class="form-control" value="<?php echo e($setting->url); ?>" name="url" placeholder="Your Address">
                    <div class="form-text">Enter Your Website Url Here. It Display in Website</div>
                </div>

                <!-- Textarea item -->
                <div class="col-12">
                    <label class="form-label">Site Description</label>
                    <textarea class="form-control"name="description" rows="3"><?php echo e($setting->description); ?></textarea>
                    <div class="form-text">For write brief description of your organization, or a
                        Website.</div>
                </div>

                <!-- Save button -->
                <div class="d-sm-flex justify-content-end">
                    <button type="submit" class="btn btn-primary mb-0">Update</button>
                </div>
            </form>
        </div>
        <!-- Card body END -->

    </div>
</div>
<?php /**PATH /var/www/ecopshub.com/html/resources/views/Admin/Setting/partials/General-Settings.blade.php ENDPATH**/ ?>