<?php
    $siteSettings = get_data();
?>

<?php $__env->startSection('ecops-content'); ?>
    <section class="contact-page-bg-image">

        <div class="container">

            <div class="row">

                <div class="col-xl-6 col-lg-6 col-md-12 form-left-wrap">

                    <div class="contact-boxs">

                        <div class="heading1">

                            <h2 class="tittle-h-2">Ready to get started?</h2>

                            <p>Contact us today.</p>

                        </div>

                        <div class="contact-box">

                            <div class="icon-mail-contact">
                                <svg stroke="currentColor" fill="currentColor" stroke-width="0" viewBox="0 0 24 24"
                                    class="icon" height="2em" width="2em" xmlns="http://www.w3.org/2000/svg"
                                    style="color: #20BDB8;">
                                    <path
                                        d="M6.62 10.79c1.44 2.83 3.76 5.14 6.59 6.59l2.2-2.2c.27-.27.67-.36 1.02-.24 1.12.37 2.33.57 3.57.57.55 0 1 .45 1 1V20c0 .55-.45 1-1 1-9.39 0-17-7.61-17-17 0-.55.45-1 1-1h3.5c.55 0 1 .45 1 1 0 1.25.2 2.45.57 3.57.11.35.03.74-.25 1.02l-2.2 2.2z">

                                    </path>
                                </svg>
                            </div>

                            <div class="heading">
                                <h5>Contact Us</h5>
                                <a href="tel:<?php echo e($siteSettings->phone); ?>" class="text"><?php echo e($siteSettings->phone); ?></a>
                            </div>

                        </div>



                        <div class="contact-box">

                            <div class="icon-mail-contact">
                                <svg stroke="currentColor" fill="currentColor" stroke-width="0" viewBox="0 0 24 24"
                                    class="icon" height="2em" width="2em" xmlns="http://www.w3.org/2000/svg"
                                    style="color: #20BDB8;">
                                    <path
                                        d="M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 14H4V8l8 5 8-5v10zm-8-7L4 6h16l-8 5z">

                                    </path>
                                </svg>

                            </div>

                            <div class="heading">
                                <h5>Send Us a Mail</h5>
                                <a href="mailto:<?php echo e($siteSettings->email); ?>" class="text"><?php echo e($siteSettings->email); ?></a>
                            </div>

                        </div>



                        <div class="contact-box">

                            <div class="icon-mail-contact">
                                <svg stroke="currentColor" fill="currentColor" stroke-width="0" viewBox="0 0 24 24"
                                    class="icon" height="2em" width="2em" xmlns="http://www.w3.org/2000/svg"
                                    style="color: #20BDB8;">
                                    <path
                                        d="M12 2C8.13 2 5 5.13 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.87-3.13-7-7-7zm0 9.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5z">
                                    </path>
                                </svg>
                            </div>

                            <div class="heading">
                                <h5>Office Location</h5>
                                <a href="#" class="text"><?php echo e($siteSettings->address); ?></a>
                            </div>

                        </div>





                    </div>

                </div>

                <div class="col-xl-6 col-lg-6 col-md-12 form-right-wrap">
                    <div class="form-cantact-page">
                        <form id="contactForm" class="row g-3" method="POST" action="/contact-request-create">
                            <!-- CSRF Token -->
                            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">

                            <!-- First Name -->
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="f_name" placeholder="First Name">
                                <small class="text-danger" id="f_name_error"></small>
                            </div>

                            <!-- Last Name -->
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="l_name" placeholder="Last Name">
                                <small class="text-danger" id="l_name_error"></small>
                            </div>

                            <!-- Company -->
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="company" placeholder="Company">
                                <small class="text-danger" id="company_error"></small>
                            </div>

                            <!-- Phone -->
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="phone" placeholder="Phone">
                                <small class="text-danger" id="phone_error"></small>
                            </div>

                            <!-- Email -->
                            <div class="col-md-12">
                                <input type="email" class="form-control" name="email" placeholder="Email">
                                <small class="text-danger" id="email_error"></small>
                            </div>

                            <!-- Message -->
                            <div class="col-md-12">
                                <textarea cols="25" rows="4" class="form-control" name="message" placeholder="Message"></textarea>
                                <small class="text-danger" id="message_error"></small>
                            </div>

                            <!-- Submit Button -->
                            <div class="col-12">
                                <button type="button" id="submitBtn" class="btn">Send Message</button>
                            </div>
                        </form>

                        <!-- Success Message -->
                        <div class="alert alert-success mt-3 d-none" id="successMessage"></div>
                    </div>
                </div>

            </div>

        </div>

    </section>



    <script>
        document.getElementById('submitBtn').addEventListener('click', async function() {
            // Clear previous errors
            document.querySelectorAll('.text-danger').forEach(el => el.textContent = '');
            document.getElementById('successMessage').classList.add('d-none');

            // Form submission
            const form = document.getElementById('contactForm');
            const formData = new FormData(form);
            const url = form.action;

            try {
                const response = await fetch(url, {
                    method: 'POST',
                    headers: {
                        'Accept': 'application/json',
                        'X-CSRF-TOKEN': formData.get('_token'),
                    },
                    body: formData,
                });

                const result = await response.json();

                if (response.ok) {
                    // Display success message
                    document.getElementById('successMessage').textContent = result.message;
                    document.getElementById('successMessage').classList.remove('d-none');
                    form.reset();
                } else if (response.status === 422) {
                    // Display validation errors
                    const errors = result.errors;
                    for (const field in errors) {
                        document.getElementById(`${field}_error`).textContent = errors[field][0];
                    }
                }
            } catch (error) {
                console.error('An error occurred:', error);
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('Frontened.ecops-layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/ecopshub.com/html/resources/views/Frontened/contact_us.blade.php ENDPATH**/ ?>