<?php
    $siteSettings = get_data();
?>
<style>
    .sidebar-main-wrap{
  background: var(--bs-body-bg) !important;
  box-shadow: 0px 0px 40px rgba(29, 58, 83, 0.15);
  border-right: solid 1px #dde0e3 !important;
}
.sidebar-content .navbar-nav .nav-link{
    color: #000000 !important;
}
.page-content-wrapper .btn-primary{
  background-image: linear-gradient(250deg, #20BDB8 19%, #85C15E 100%) !important;
  border-color: #20BDB8;
}
.page-content-wrapper .text-bg-primary{
  background-image: linear-gradient(250deg, #20BDB8 19%, #85C15E 100%) !important;
  border-color: #20BDB8;
}
.page-content-wrapper .table.table-dark-gray thead{
    background-image: linear-gradient(250deg, #20BDB8 19%, #85C15E 100%) !important;
}
.sidebar.navbar-expand-xl .sidebar-content .navbar-nav .nav-link.active{
    color: #20BDB8 !important;
}
.sidebar.navbar-expand-xl .sidebar-content .navbar-nav .nav-link:hover{
    color: #20BDB8 !important;
}
.page-link.active, .active > .page-link{
    background-image: linear-gradient(250deg, #20BDB8 19%, #85C15E 100%) !important;
    border-color: #20BDB8 !important;
}
 .page-link:hover{
    background-image: linear-gradient(250deg, #20BDB8 19%, #85C15E 100%) !important;
    border-color: #20BDB8 !important;
}
</style>
<nav class="navbar sidebar navbar-expand-xl navbar-dark sidebar-main-wrap">
    <!-- Navbar brand for xl START -->
    <div class="d-flex align-items-center">
        <a class="navbar-brand" href="<?php echo e(route('admin.team')); ?>">
            <img class="navbar-brand-item" src="<?php echo e(asset('web_name/' . $siteSettings->logo)); ?>" alt="">
        </a>
    </div>
    <!-- Navbar brand for xl END -->

    <div class="offcanvas offcanvas-start flex-row custom-scrollbar h-100" data-bs-backdrop="true" tabindex="-1"
        id="offcanvasSidebar">
        <div class="offcanvas-body sidebar-content d-flex flex-column bg-side-bar">

            <!-- Sidebar menu START -->
            <ul class="navbar-nav flex-column" id="navbar-sidebar">

                <!-- Dashboard -->
                

                <!-- Manage Admin Users -->
                

                <!-- View Team Members -->
                <li class="nav-item">
                    <a class="nav-link <?php echo Request::is('admin/team') ? 'active' : ''; ?>" href="<?php echo e(route('admin.team')); ?>">
                        <i class="fas fa-users fa-fw me-2"></i>Team Members
                    </a>
                </li>


                <li class="nav-item">
                    <a class="nav-link <?php echo Request::is('admin/blogs') ? 'active' : ''; ?>" href="<?php echo e(route('admin.blogs')); ?>">
                        <i class="fas fa-blog fa-fw me-2"></i>Blogs
                    </a>
                </li>

                <!-- Testimonials -->
                <li class="nav-item">
                    <a class="nav-link <?php echo Request::is('admin/testimonials') ? 'active' : ''; ?>" href="<?php echo e(route('admin.testimonials')); ?>">
                        <i class="fas fa-quote-left fa-fw me-2"></i>Testimonial
                    </a>
                </li>


                <!-- KEY CLIENTS -->
                <li class="nav-item">
                    <a class="nav-link <?php echo Request::is('admin/partners') ? 'active' : ''; ?>" href="<?php echo e(route('admin.partners')); ?>">
                        <i class="fas fa-shapes fa-fw me-2"></i>OUR CLIENTS
                    </a>
                </li>

                <!-- Manage All Pages -->
                

                <!-- Home Banner -->
                

                <!-- About Us -->
                

                <!-- View Team Members -->
                

                <!-- Contact Requests -->
                

                <!-- Manage Reviews -->
                


                <!-- FAQs -->
                


                <!-- STRATEGIC PARTNERS  -->
                



            </ul>
            <!-- Sidebar menu END -->

            <!-- Sidebar footer START -->
            <div class="px-3 mt-auto pt-3">
                <div class="d-flex align-items-center justify-content-between text-primary-hover">
                    <a class="h5 mb-0 text-body" href="<?php echo e(route('admin.settings')); ?>" data-bs-toggle="tooltip"
                        data-bs-placement="top" title="Settings">
                        <i class="bi bi-gear-fill"></i>
                    </a>
                    <a class="h5 mb-0 text-body" href="<?php echo e(route('index')); ?>" data-bs-toggle="tooltip"
                        data-bs-placement="top" title="Home">
                        <i class="bi bi-globe"></i>
                    </a>
                    <a class="h5 mb-0 text-body" href="sign-in.html" data-bs-toggle="tooltip" data-bs-placement="top"
                        title="Sign out">
                        <i class="bi bi-power"></i>
                    </a>
                </div>
            </div>
            <!-- Sidebar footer END -->

        </div>
    </div>
</nav>
<?php /**PATH /var/www/ecopshub.com/html/resources/views/Admin/layout/sidebar.blade.php ENDPATH**/ ?>