<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Blog extends Model
{
    /**
     * Get the category that owns the blog.
     */
    public function category()
    {
        return $this->belongsTo(BlogsCategory::class, 'blog_category_id');
    }
}
