<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BlogsCategory extends Model
{
    use HasFactory;


    // Define the fillable attributes for mass assignment protection
    protected $fillable = [
        'category',
        'short_description',
        'status',
    ];

    // Relationship with Blogs (assuming a Blog belongs to a Blog Category)
     public function blogs()
     {
         return $this->hasMany(Blog::class, 'blog_category_id');
     }
}
