@php
    $siteSettings = get_data();
@endphp


<footer class="main-footer-five">

    <div class="container">

        <div class="row">

            <div class="col-md-6 col-lg-5">

                <div class="footer-widget footer-widget--about-two">

                    <a href="{{ route('index') }}" class="footer-widget__logo">

                        <img src="{{ asset('web_name/' . $siteSettings->logo) }}" width="186" alt="">

                    </a>

                    <p class="footer-widget--about-two__text">
                        {{ $siteSettings['description'] }}
                    </p>

                    <div class="footer-widget__social">
                        @if (!empty($siteSettings->facebook))
                            <a href="{{ $siteSettings->facebook }}" target="blank">
                                <i class="fa-brands fa-facebook"></i>
                            </a>
                        @endif

                        @if (!empty($siteSettings->pinterest))
                            <a href="{{ $siteSettings->pinterest }}" target="blank">
                                <i class="fa-brands fa-pinterest-p"></i>
                            </a>
                        @endif

                        @if (!empty($siteSettings->twitter))
                            <a href="{{ $siteSettings->twitter }}" target="blank">
                                <i class="fa-brands fa-twitter"></i>
                            </a>
                        @endif

                        @if (!empty($siteSettings->instagram))
                            <a href="{{ $siteSettings->instagram }}" target="blank">
                                <i class="fa-brands fa-instagram"></i>
                            </a>
                        @endif

                        @if (!empty($siteSettings->youtube))
                            <a href="{{ $siteSettings->youtube }}" target="blank">
                                <i class="fa-brands fa-youtube"></i>
                            </a>
                        @endif
                        @if (!empty($siteSettings->linkedIn))
                            <a href="{{ $siteSettings->linkedIn }}" target="blank">
                                <i class="fab fa-linkedin-in"></i>
                            </a>
                        @endif
                    </div>


                </div>

            </div>

            <div class="col-md-6 col-lg-2">

                <div class="footer-widget footer-widget--links">

                    <h2 class="footer-widget__title">Resources</h2>

                    <ul class="list-unstyled footer-widget__links">
                        <li><a href="{{ route('blogs') }}">Blogs</a></li>
                       <!-- <li><a href="#">Case Studies</a></li>

                        <li><a href="#">FAQ</a></li>-->

                    </ul>

                </div>

            </div>

            <div class="col-md-6 col-lg-2">

                <div class="footer-widget footer-widget--links main-footer-five--ml30">

                    <h2 class="footer-widget__title">Quick Link</h2>

                    <ul class="list-unstyled footer-widget__links">

                        <li><a href="{{ route('about-us') }}">About</a></li>

                        <li><a href="{{ route('solutions') }}">Solutions</a></li>

                        <li><a href="{{ route('cliente') }}">Industries</a></li> 

                    </ul>

                </div>

            </div>

            <div class="col-md-6 col-lg-3">

                <div class="footer-widget footer-widget--posts">

                    <h2 class="footer-widget__title">Contact Information</h2>

                    <ul class="footer-widget__posts list-unstyled">

                        <li class="footer-widget__posts__item">
                            <span><i class="fa-solid fa-envelope"></i></span>
                            <a href="mailto:{{ $siteSettings->email }}">{{ $siteSettings->email }}</a>
                        </li>

                        <li class="footer-widget__posts__item">
                            <span><i class="fa-solid fa-globe"></i></span>
                            <a href="{{ route('index') }}">{{ $siteSettings->url }}</a>
                        </li>

                        <li class="footer-widget__posts__item">
                            <span><i class="fa-solid fa-location-dot"></i></span>
                            <a href="#">{{ $siteSettings->address }}</a>
                        </li>

                        <li class="footer-widget__posts__item">
                            <span><i class="fa-solid fa-phone"></i></span>
                            <a  href="tel:{{ $siteSettings->phone }}">{{ $siteSettings->phone }}</a>

                        </li>

                    </ul>

                </div>

            </div>

        </div>

    </div>

    <div class="main-footer-five__bottom">

        <div class="container">

            <div class="main-footer-five__bottom__inner">

                <div class="row">

                    <div class="col-md-6">

                        <p class="main-footer-five__copyright">

                            {{ $siteSettings->copyright }}

                        </p>

                    </div>

                    <!--<div class="col-md-6">

                        <ul class="list-unstyled main-footer-five__bottom__list">

                            <li><a href="#">Privacy Pollicy</a></li>

                            <li><a href="#">Terms and Condition</a></li>

                            <li><a href="#">Refund and Cancellation</a></li>

                        </ul>

                    </div>-->

                </div>

            </div>

        </div>

    </div>

</footer>
