@extends('Frontened.ecops-layout.layout')



@section('ecops-content')

    <div class="all-main-section">

        <section class="home-banner-section-wrap">

            <div class="container">

                <div></div>

                <div class="home-banner-content">

                    <h1>Track, Report, Innovate with Ease

                        Sustainability Simplified</h1>

                    <p class="p-17">Unlock the Power of Seamless Carbon Accounting, ESG Reporting and Idea

                        management.

                    </p>

                    <div class="home-banner-btn">

                        <a href="{{ route('contact_us') }}">Book a Demo</a>

                        <!-- <span> Watch Overview</span> -->

                    </div>

                </div>

                <div class="home-banner-bg-image">

                    <img src="{{ asset('frontened/images/ecops-banner2x.jpg') }}" alt="">

                    <div class="home-banner-image-mobile">

                        <img src="{{ asset('frontened/images/ecops-banner-mobile2x.png') }}" alt="" width="210"

                            height="460">

                    </div>

                </div>



            </div>

        </section>

        <section class="why-choose-section-wrap">

            <div class="container">

                <div class="why-choose-tittle text-center">

                    <h2 class="tittle-h-2">Why ECOPS</h2>

                    <p class="p-17">ECOPS simplifies your ESG journey with unmatched compliance support, precision

                        in

                        tracking sustainability performance, and innovative tools for idea management linking it

                        with

                        Organization Strategy.

                        Our platform streamlines ESG reporting, offering intuitive data collection, automated report

                        generation, and AI-powered insights for smarter decision-making. Empower your team to stay

                        ahead

                        of evolving regulations, drive change and collaborate in generating ideas for improvement

                        which

                        shall help in achieving 17 SDG’s and turn ESG challenges into strategic advantages—all with

                        one

                        easy-to-use solution.

                    </p>

                </div>

            </div>

        </section>



        <section class="features-section-wrap">

            <div class="container">

                <div class="features-tittle text-center">

                    <h6 class="sec-title-four__tagline"><span class="sec-title-four__tagline__left-border"></span>OUR

                        Best features<span class="sec-title-four__tagline__right-border"></span></h6>

                    <h2 class="tittle-h-2">Features</h2>

                </div>

                <div class="row feature-row">

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="00ms"

                        style="visibility: visible; animation-delay: 0ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">Global Standards Alignment</h4>

                            <p>Seamlessly integrates with GRI, SASB, and UN SDGs for compliance and global

                                relevance.

                            </p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="100ms"

                        style="visibility: visible; animation-delay: 100ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">Centralized Data Collection</h4>

                            <p>Collect and manage ESG data from all sources in one secure platform.</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="200ms"

                        style="visibility: visible; animation-delay: 200ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">Carbon Accounting</h4>

                            <p>Accurately track emissions for Scope 1, Scope 2, and Scope 3.</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">ESG Segregation</h4>

                            <p>Categorize metrics by Environmental, Social, and Governance aspects for focused

                                reporting.</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">Idea Management Integration</h4>

                            <p>Empower employees to submit and develop ideas for sustainability innovation.</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">OPEX-Based Strategic Deployment</h4>

                            <p>Drive sustainability with data-informed decisions on operational expenditures.</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">User-Friendly Interface</h4>

                            <p>Intuitive design for easy navigation, regardless of technical expertise.</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">Traceability & Accountability</h4>

                            <p>Assign roles, track progress, and ensure team alignment on ESG goals.</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">Aligning with Organization Strategy</h4>

                            <p>Integrating ESG with Organization core strategy through KPI’s & SLA’s</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">Interactive Visualization</h4>

                            <p>Visualize emissions, social impact, and governance through dynamic, real-time graphs.

                            </p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">AI-Powered Emissions</h4>

                            <p>Leverage AI for precise and accurate carbon emission calculations.</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">Disclosure Compliance</h4>

                            <p>Stay ahead of regulatory requirements with automated tracking and reporting.</p>

                        </div><!-- feature-item -->

                    </div>

                    <div class="col-lg-3 col-md-6 feature-item-1 wow fadeInUp animated" data-wow-delay="300ms"

                        style="visibility: visible; animation-delay: 300ms; animation-name: fadeInUp;">

                        <div class="featurer-six__item">

                            <h4 class="featurer-six__item__title">Continuous Improvement Tools</h4>

                            <p>Receive actionable insights to refine and optimize your ESG performance.</p>

                        </div><!-- feature-item -->

                    </div>

                </div>

            </div>

        </section>

    </div>

@endsection
