<?php $__env->startSection('admin_content'); ?>
    <div class="page-content-wrapper border">

        <?php if(Session::has('success')): ?>
            <div class="alert alert-success alert-block">
                <strong><?php echo e(Session::get('success')); ?></strong>
            </div>
        <?php endif; ?>

        <!-- Title -->
        <div class="row">
            <div class="col-12 mb-3">
                <h1 class="h3 mb-2 mb-sm-0">Admin Settings</h1>
            </div>
        </div>

        <div class="row g-4">
            <!-- Left side START -->
            <div class="col-xl-3">
                <!-- Tab START -->
                <ul class="nav nav-pills nav-tabs-bg-dark flex-column">

                    <li class="nav-item"> <a class="nav-link active" data-bs-toggle="tab" href="#tab-1"><i
                                class="fas fa-globe fa-fw me-2"></i>General Settings</a> </li>

                    <li class="nav-item"> <a class="nav-link" data-bs-toggle="tab" href="#tab-2"><i
                                class="fas fa-cog fa-fw me-2"></i>Logo & Icon</a> </li>

                    <li class="nav-item"> <a class="nav-link" data-bs-toggle="tab" href="#tab-5"><i
                                class="fas fa-sliders-h fa-fw me-2"></i>Social Settings</a> </li>

                </ul>
                <!-- Tab END -->
            </div>
            <!-- Left side END -->

            <!-- Right side START -->
            <div class="col-xl-9">

                <!-- Tab Content START -->
                <div class="tab-content">
                    <?php $__currentLoopData = $settings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $setting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                        <!-- General Setting content START -->
                        <?php echo $__env->make('Admin.Setting.partials.General-Settings', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <!-- General Setting content END -->

                        <!-- Social Settings content START -->
                        <?php echo $__env->make('Admin.Setting.partials.Social-Media-Settings', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <!-- Social Settings content END -->

                        <!-- Logo & Icon Settings content START -->
                        <?php echo $__env->make('Admin.Setting.partials.Logo-&-Icon', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <!-- Logo & Icon Settings content END -->

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                <!-- Tab Content END -->
            </div>
            <!-- Right side END -->
        </div> <!-- Row END -->
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('titel'); ?>
Setting
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Admin.layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/ecopshub.com/html/resources/views/Admin/Setting/setting.blade.php ENDPATH**/ ?>