<?php
    $siteSettings = get_data();
?>


<footer class="main-footer-five">

    <div class="container">

        <div class="row">

            <div class="col-md-6 col-lg-5">

                <div class="footer-widget footer-widget--about-two">

                    <a href="<?php echo e(route('index')); ?>" class="footer-widget__logo">

                        <img src="<?php echo e(asset('web_name/' . $siteSettings->logo)); ?>" width="186" alt="">

                    </a>

                    <p class="footer-widget--about-two__text">
                        <?php echo e($siteSettings['description']); ?>

                    </p>

                    <div class="footer-widget__social">
                        <?php if(!empty($siteSettings->facebook)): ?>
                            <a href="<?php echo e($siteSettings->facebook); ?>" target="blank">
                                <i class="fa-brands fa-facebook"></i>
                            </a>
                        <?php endif; ?>

                        <?php if(!empty($siteSettings->pinterest)): ?>
                            <a href="<?php echo e($siteSettings->pinterest); ?>" target="blank">
                                <i class="fa-brands fa-pinterest-p"></i>
                            </a>
                        <?php endif; ?>

                        <?php if(!empty($siteSettings->twitter)): ?>
                            <a href="<?php echo e($siteSettings->twitter); ?>" target="blank">
                                <i class="fa-brands fa-twitter"></i>
                            </a>
                        <?php endif; ?>

                        <?php if(!empty($siteSettings->instagram)): ?>
                            <a href="<?php echo e($siteSettings->instagram); ?>" target="blank">
                                <i class="fa-brands fa-instagram"></i>
                            </a>
                        <?php endif; ?>

                        <?php if(!empty($siteSettings->youtube)): ?>
                            <a href="<?php echo e($siteSettings->youtube); ?>" target="blank">
                                <i class="fa-brands fa-youtube"></i>
                            </a>
                        <?php endif; ?>
                        <?php if(!empty($siteSettings->linkedIn)): ?>
                            <a href="<?php echo e($siteSettings->linkedIn); ?>" target="blank">
                                <i class="fab fa-linkedin-in"></i>
                            </a>
                        <?php endif; ?>
                    </div>


                </div>

            </div>

            <div class="col-md-6 col-lg-2">

                <div class="footer-widget footer-widget--links">

                    <h2 class="footer-widget__title">Resources</h2>

                    <ul class="list-unstyled footer-widget__links">
                        <li><a href="<?php echo e(route('blogs')); ?>">Blogs</a></li>
                       <!-- <li><a href="#">Case Studies</a></li>

                        <li><a href="#">FAQ</a></li>-->

                    </ul>

                </div>

            </div>

            <div class="col-md-6 col-lg-2">

                <div class="footer-widget footer-widget--links main-footer-five--ml30">

                    <h2 class="footer-widget__title">Quick Link</h2>

                    <ul class="list-unstyled footer-widget__links">

                        <li><a href="<?php echo e(route('about-us')); ?>">About</a></li>

                        <li><a href="<?php echo e(route('solutions')); ?>">Solutions</a></li>

                        <li><a href="<?php echo e(route('cliente')); ?>">Industries</a></li> 

                    </ul>

                </div>

            </div>

            <div class="col-md-6 col-lg-3">

                <div class="footer-widget footer-widget--posts">

                    <h2 class="footer-widget__title">Contact Information</h2>

                    <ul class="footer-widget__posts list-unstyled">

                        <li class="footer-widget__posts__item">
                            <span><i class="fa-solid fa-envelope"></i></span>
                            <a href="mailto:<?php echo e($siteSettings->email); ?>"><?php echo e($siteSettings->email); ?></a>
                        </li>

                        <li class="footer-widget__posts__item">
                            <span><i class="fa-solid fa-globe"></i></span>
                            <a href="<?php echo e(route('index')); ?>"><?php echo e($siteSettings->url); ?></a>
                        </li>

                        <li class="footer-widget__posts__item">
                            <span><i class="fa-solid fa-location-dot"></i></span>
                            <a href="#"><?php echo e($siteSettings->address); ?></a>
                        </li>

                        <li class="footer-widget__posts__item">
                            <span><i class="fa-solid fa-phone"></i></span>
                            <a  href="tel:<?php echo e($siteSettings->phone); ?>"><?php echo e($siteSettings->phone); ?></a>

                        </li>

                    </ul>

                </div>

            </div>

        </div>

    </div>

    <div class="main-footer-five__bottom">

        <div class="container">

            <div class="main-footer-five__bottom__inner">

                <div class="row">

                    <div class="col-md-6">

                        <p class="main-footer-five__copyright">

                            <?php echo e($siteSettings->copyright); ?>


                        </p>

                    </div>

                    <!--<div class="col-md-6">

                        <ul class="list-unstyled main-footer-five__bottom__list">

                            <li><a href="#">Privacy Pollicy</a></li>

                            <li><a href="#">Terms and Condition</a></li>

                            <li><a href="#">Refund and Cancellation</a></li>

                        </ul>

                    </div>-->

                </div>

            </div>

        </div>

    </div>

</footer>
<?php /**PATH /var/www/ecopshub.com/html/resources/views/Frontened/ecops-layout/footer.blade.php ENDPATH**/ ?>